<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- creator-supported-platforms.qdoc -->
  <title>Supported Platforms | Qt Creator Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qt Creator Manual</a></td><td >Supported Platforms</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right"><a href="index.html">Qt Creator Manual 4.11.1</a></td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
  <link rel="prev" href="creator-advanced.html" />
  <link rel="next" href="creator-project-other.html" />
<p class="naviNextPrevious headerNavi">
<a class="prevPage" href="creator-advanced.html">Advanced Use</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-project-other.html">Using Other Build Systems</a>
</p><p/>
<div class="sidebar">
<div class="toc">
<h3><a name="toc">Contents</a></h3>
<ul>
<li class="level1"><a href="#development-platforms">Development Platforms</a></li>
<li class="level2"><a href="#developing-for-embedded-devices">Developing for Embedded Devices</a></li>
<li class="level1"><a href="#compiling-from-source">Compiling from Source</a></li>
<li class="level1"><a href="#target-platforms">Target Platforms</a></li>
<li class="level2"><a href="#embedded-devices">Embedded Devices</a></li>
<li class="level2"><a href="#mobile-devices">Mobile Devices</a></li>
</ul>
</div>
<div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Supported Platforms</h1>
<span class="subtitle"></span>
<!-- $$$creator-os-supported-platforms.html-description -->
<div class="descr"> <a name="details"></a>
<p>You can install and run Qt Creator on several operating systems to create applications for multiple desktop, embedded, and mobile device platforms, as well as web browsers (experimental).</p>
<p>Qt Creator automatically runs scheduled checks for updates based on the settings specified in <b>Tools</b> &gt; <b>Options</b> <b>Environment</b> &gt; <b>Update</b>.</p>
<a name="development-platforms"></a>
<h2 id="development-platforms">Development Platforms</h2>
<p>Qt Creator is available in binary packages for the following operating systems:</p>
<ul>
<li>Windows 7 or later<p><b>Note: </b>Some Qt Creator plugins rely on Direct3D (part of DirectX). You might have to manually enable support for it if you are running Windows in a Virtual Machine. For more information, see <a href="http://www.virtualbox.org/manual/ch04.html#guestadd-3d">Hardware 3D acceleration (OpenGL and Direct3D 8/9)</a> and <a href="http://pubs.vmware.com/workstation-10/index.jsp?topic=%2Fcom.vmware.ws.using.doc%2FGUID-EA588485-718A-4FD8-81F5-B6E1F04C5788.html">Prepare the Host System to Use DirectX 9 Accelerated Graphics</a>.</p></li>
<li>(K)Ubuntu Linux 16.04 (64-bit) or later<p>To build Qt applications using Qt Creator on Linux, you usually need the following:</p>
<ul>
<li>g++</li>
<li>make</li>
<li>libglib2.0-dev</li>
<li>libSM-dev</li>
<li>libxrender-dev</li>
<li>libfontconfig1-dev</li>
<li>libxext-dev</li>
<li>libfreetype6-dev</li>
<li>libx11-dev</li>
<li>libxcursor-dev</li>
<li>libxfixes-dev</li>
<li>libxft-dev</li>
<li>libxi-dev</li>
<li>libxrandr-dev</li>
<li>libgl-dev and libglu-dev if you use Qt OpenGL (deprecated in Qt 5) or Qt GUI OpenGL functions</li>
</ul>
</li>
<li><a href="nolink">macOS</a> 10.13 or later with the following:<ul>
<li>Xcode tools for your <a href="nolink">macOS</a> version available on the Mac App Store.</li>
</ul>
</li>
</ul>
<a name="developing-for-embedded-devices"></a>
<h3 id="developing-for-embedded-devices">Developing for Embedded Devices</h3>
<p>Either Windows 7 or later or Ubuntu Linux 64-bit 12.04 LTS or later is required to install and use Qt for Device Creation. For more information about the requirements for the development host, see the <a href="https://doc.qt.io/QtForDeviceCreation/b2qt-installation-guides.html">Installation Guides</a> in the <a href="https://doc.qt.io/QtForDeviceCreation/index.html">Qt for Device Creation</a> documentation.</p>
<a name="compiling-from-source"></a>
<h2 id="compiling-from-source">Compiling from Source</h2>
<p>To build Qt Creator from the source, see the requirements and instructions in the readme file that is located in the source repository.</p>
<a name="target-platforms"></a>
<h2 id="target-platforms">Target Platforms</h2>
<p>You can develop applications for the following platforms:</p>
<ul>
<li>Desktop</li>
<li>Android</li>
<li>Embedded</li>
<li>Generic remote Linux</li>
<li>iOS</li>
<li>Microcontroller Units (MCU)</li>
<li>QNX</li>
<li>Universal Windows Platform (UWP)</li>
<li>WebAssembly</li>
</ul>
<a name="embedded-devices"></a>
<h3 id="embedded-devices">Embedded Devices</h3>
<p>The Boot to Qt stack can be made to run on a variety of hardware. For Qt for Device Creation license holders, tooling is provided to customize the contents of the stack as well as to take it into desired production hardware.</p>
<p>For more information about the supported device groups and reference devices, see <a href="https://doc.qt.io/QtForDeviceCreation/qtee-supported-platforms.html">Reference Target Devices and Development Hosts</a> in the <a href="https://doc.qt.io/QtForDeviceCreation/index.html">Qt for Device Creation</a> documentation.</p>
<p><b>Note: </b>Since Qt Creator 4.9, only Boot to Qt version 5.9 and later are supported. To develop for earlier Boot to Qt versions, use Qt Creator 4.8&#x2e;</p><a name="mobile-devices"></a>
<h3 id="mobile-devices">Mobile Devices</h3>
<p>The following table summarizes operating system support for developing applications for mobile device platforms.</p>
<div class="table"><table class="generic">
 <thead><tr class="qt-style"><th  rowspan="2">Target Platform</th><th  colspan="3">Development Platform</th></tr>
<tr class="qt-style"><th >Linux</th><th ><a href="nolink">macOS</a></th><th >Windows</th></tr></thead>
<tr valign="top" class="odd"><td >Android</td><td ><p class="centerAlign"><img src="images/ok.png" alt="" /></p></td><td ><p class="centerAlign"><img src="images/ok.png" alt="" /></p></td><td ><p class="centerAlign"><img src="images/ok.png" alt="" /></p></td></tr>
<tr valign="top" class="even"><td >Generic Remote Linux</td><td ><p class="centerAlign"><img src="images/ok.png" alt="" /></p></td><td ><p class="centerAlign"><img src="images/ok.png" alt="" /></p></td><td ><p class="centerAlign"><img src="images/ok.png" alt="" /></p></td></tr>
<tr valign="top" class="odd"><td >iOS</td><td ></td><td ><p class="centerAlign"><img src="images/ok.png" alt="" /></p></td><td ></td></tr>
<tr valign="top" class="even"><td >MCUs</td><td ><p class="centerAlign"><img src="images/ok.png" alt="" /></p></td><td ><p class="centerAlign"><img src="images/ok.png" alt="" /></p></td><td ><p class="centerAlign"><img src="images/ok.png" alt="" /></p></td></tr>
<tr valign="top" class="odd"><td >QNX</td><td ><p class="centerAlign"><img src="images/ok.png" alt="" /></p></td><td ><p class="centerAlign"><img src="images/ok.png" alt="" /></p></td><td ><img src="images/ok.png" alt="" /> *</td></tr>
<tr valign="top" class="even"><td >UWP</td><td ></td><td ></td><td ><p class="centerAlign"><img src="images/ok.png" alt="" /></p></td></tr>
<tr valign="top" class="odd"><td >WebAssembly</td><td ><p class="centerAlign"><img src="images/ok.png" alt="" /></p></td><td ><p class="centerAlign"><img src="images/ok.png" alt="" /></p></td><td ><p class="centerAlign"><img src="images/ok.png" alt="" /></p></td></tr>
</table></div>
<p>* See <a href="creator-running-targets.html#running-on-qnx-devices">Running on QNX Devices</a> for limitations.</p>
<p><b>Note: </b>Madde support has been removed from Qt Creator 3.0&#x2e; To develop for Maemo or Harmattan, use Qt Creator 2.8&#x2e;</p><p><b>Note: </b>BlackBerry 10 support has been removed from Qt Creator 3.5&#x2e; Use Qt Creator 3.4 instead.</p></div>
<!-- @@@creator-os-supported-platforms.html -->
<p class="naviNextPrevious footerNavi">
<a class="prevPage" href="creator-advanced.html">Advanced Use</a>
<span class="naviSeparator">  &#9702;  </span>
<a class="nextPage" href="creator-project-other.html">Using Other Build Systems</a>
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2019 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
